This service returns the location configuration

This service returns information about the location configuration. This service is primarily used when building URLs (e.g., for `hrefs`)

### Hierarchy

- Disposable
  - LocationConfig
    - UrlConfigApi

### Implemented by

- BrowserLocationConfig
- MemoryLocationConfig

## Index

### Methods

- baseHref
- dispose
- hashPrefix
- host
- html5Mode
- port
- protocol

## Methods

- baseHref(): string

- Gets the base Href, e.g., `http://localhost/approot/`

- Gets the base Href, e.g., `http://localhost/approot/`

  #### Returns string

  :

  the application's base href

  - Defined in common/coreservices.ts:176

- dispose(router?: UIRouter): any

- Instructs the Disposable to clean up any resources

- Instructs the Disposable to clean up any resources

  #### Parameters

  - ##### router: Optional UIRouter

  #### Returns any

  Inherited from Disposable.dispose

  - Defined in interface.ts:123

- hashPrefix(): string

- Gets the hashPrefix (when not running in pushstate mode)

- hashPrefix(newprefix: string): string

- Sets the hashPrefix (when not running in pushstate mode)

- Gets the hashPrefix (when not running in pushstate mode)

  If the current url is `http://localhost/app#!/uirouter/path/#anchor`, it returns `!` which is the prefix for the "hashbang" portion.

  #### Returns string

  :

  the hash prefix

  - Defined in common/coreservices.ts:190

- Sets the hashPrefix (when not running in pushstate mode)

  #### Parameters

  - ##### newprefix string

  #### Returns string

  :

  the new hash prefix

  - Defined in common/coreservices.ts:196

- host(): string

- Gets the host, e.g., `localhost`

- Gets the host, e.g., `localhost`

  #### Returns string

  :

  the protocol

  - Defined in common/coreservices.ts:170

- html5Mode(): boolean

- Returns true when running in pushstate mode

- Returns true when running in pushstate mode

  #### Returns boolean

  :

  true when running in pushstate mode

  - Defined in common/coreservices.ts:182

- port(): number

- Gets the port, e.g., `80`

- Gets the port, e.g., `80`

  #### Returns number

  :

  the port number

  - Defined in common/coreservices.ts:158

- protocol(): string

- Gets the protocol, e.g., `http`

- Gets the protocol, e.g., `http`

  #### Returns string

  :

  the protocol

  - Defined in common/coreservices.ts:164

Generated using TypeDoc